Hex Artifact Content

Artifact fc464932a3192c314816a20da3d1afb6f6f7ad0d:


0000: 23 21 20 2f 75 73 72 2f 62 69 6e 2f 65 6e 76 20  #! /usr/bin/env 
0010: 62 61 73 68 0a 0a 69 66 20 5b 20 21 20 2d 66 20  bash..if [ ! -f 
0020: 27 62 75 69 6c 64 2e 73 68 27 20 5d 3b 20 74 68  'build.sh' ]; th
0030: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
0040: 20 54 68 69 73 20 73 63 72 69 70 74 20 6d 75 73   This script mus
0050: 74 20 62 65 20 72 75 6e 20 66 72 6f 6d 20 74 68  t be run from th
0060: 65 20 64 69 72 65 63 74 6f 72 79 20 69 74 20 69  e directory it i
0070: 73 20 69 6e 27 20 3e 26 32 0a 0a 09 65 78 69 74  s in' >&2...exit
0080: 20 31 0a 66 69 0a 69 66 20 5b 20 2d 7a 20 22 24   1.fi.if [ -z "$
0090: 7b 54 43 4c 56 45 52 53 7d 22 20 5d 3b 20 74 68  {TCLVERS}" ]; th
00a0: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
00b0: 20 54 68 65 20 54 43 4c 56 45 52 53 20 65 6e 76   The TCLVERS env
00c0: 69 72 6f 6e 6d 65 6e 74 20 76 61 72 69 61 62 6c  ironment variabl
00d0: 65 20 69 73 20 6e 6f 74 20 73 65 74 27 20 3e 26  e is not set' >&
00e0: 32 0a 0a 09 65 78 69 74 20 31 0a 66 69 0a 0a 54  2...exit 1.fi..T
00f0: 43 43 34 54 43 4c 56 45 52 53 3d 22 30 2e 35 22  CC4TCLVERS="0.5"
0100: 0a 53 52 43 3d 22 73 72 63 2f 74 63 63 34 74 63  .SRC="src/tcc4tc
0110: 6c 2d 24 7b 54 43 43 34 54 43 4c 56 45 52 53 7d  l-${TCC4TCLVERS}
0120: 2e 74 61 72 2e 67 7a 22 0a 53 52 43 55 52 4c 3d  .tar.gz".SRCURL=
0130: 22 68 74 74 70 3a 2f 2f 72 6b 65 65 6e 65 2e 6f  "http://rkeene.o
0140: 72 67 2f 64 65 76 65 6c 2f 74 63 63 34 74 63 6c  rg/devel/tcc4tcl
0150: 2f 74 63 63 34 74 63 6c 2d 24 7b 54 43 43 34 54  /tcc4tcl-${TCC4T
0160: 43 4c 56 45 52 53 7d 2e 74 61 72 2e 67 7a 22 0a  CLVERS}.tar.gz".
0170: 42 55 49 4c 44 44 49 52 3d 22 24 28 70 77 64 29  BUILDDIR="$(pwd)
0180: 2f 62 75 69 6c 64 2f 74 63 63 34 74 63 6c 2d 24  /build/tcc4tcl-$
0190: 7b 54 43 43 34 54 43 4c 56 45 52 53 7d 22 0a 4f  {TCC4TCLVERS}".O
01a0: 55 54 44 49 52 3d 22 24 28 70 77 64 29 2f 6f 75  UTDIR="$(pwd)/ou
01b0: 74 22 0a 49 4e 53 54 44 49 52 3d 22 24 28 70 77  t".INSTDIR="$(pw
01c0: 64 29 2f 69 6e 73 74 22 0a 50 41 54 43 48 44 49  d)/inst".PATCHDI
01d0: 52 3d 22 24 28 70 77 64 29 2f 70 61 74 63 68 65  R="$(pwd)/patche
01e0: 73 22 0a 65 78 70 6f 72 74 20 54 43 43 34 54 43  s".export TCC4TC
01f0: 4c 56 45 52 53 20 53 52 43 20 53 52 43 55 52 4c  LVERS SRC SRCURL
0200: 20 42 55 49 4c 44 44 49 52 20 4f 55 54 44 49 52   BUILDDIR OUTDIR
0210: 20 49 4e 53 54 44 49 52 20 50 41 54 43 48 44 49   INSTDIR PATCHDI
0220: 52 0a 0a 23 20 53 65 74 20 63 6f 6e 66 69 67 75  R..# Set configu
0230: 72 65 20 6f 70 74 69 6f 6e 73 20 66 6f 72 20 74  re options for t
0240: 68 69 73 20 73 75 62 2d 70 72 6f 6a 65 63 74 0a  his sub-project.
0250: 4c 44 46 4c 41 47 53 3d 22 24 7b 4b 43 5f 54 43  LDFLAGS="${KC_TC
0260: 43 34 54 43 4c 5f 4c 44 46 4c 41 47 53 7d 22 0a  C4TCL_LDFLAGS}".
0270: 43 46 4c 41 47 53 3d 22 24 7b 4b 43 5f 54 43 43  CFLAGS="${KC_TCC
0280: 34 54 43 4c 5f 43 46 4c 41 47 53 7d 22 0a 43 50  4TCL_CFLAGS}".CP
0290: 50 46 4c 41 47 53 3d 22 24 7b 4b 43 5f 54 43 43  PFLAGS="${KC_TCC
02a0: 34 54 43 4c 5f 43 50 50 46 4c 41 47 53 7d 22 0a  4TCL_CPPFLAGS}".
02b0: 4c 49 42 53 3d 22 24 7b 4b 43 5f 54 43 43 34 54  LIBS="${KC_TCC4T
02c0: 43 4c 5f 4c 49 42 53 7d 22 0a 65 78 70 6f 72 74  CL_LIBS}".export
02d0: 20 4c 44 46 4c 41 47 53 20 43 46 4c 41 47 53 20   LDFLAGS CFLAGS 
02e0: 43 50 50 46 4c 41 47 53 20 4c 49 42 53 0a 0a 72  CPPFLAGS LIBS..r
02f0: 6d 20 2d 72 66 20 27 62 75 69 6c 64 27 20 27 6f  m -rf 'build' 'o
0300: 75 74 27 20 27 69 6e 73 74 27 0a 6d 6b 64 69 72  ut' 'inst'.mkdir
0310: 20 27 62 75 69 6c 64 27 20 27 6f 75 74 27 20 27   'build' 'out' '
0320: 69 6e 73 74 27 20 7c 7c 20 65 78 69 74 20 31 0a  inst' || exit 1.
0330: 0a 54 43 4c 5f 56 45 52 53 49 4f 4e 3d 22 75 6e  .TCL_VERSION="un
0340: 6b 6e 6f 77 6e 22 0a 69 66 20 5b 20 2d 66 20 22  known".if [ -f "
0350: 24 7b 54 43 4c 43 4f 4e 46 49 47 44 49 52 7d 2f  ${TCLCONFIGDIR}/
0360: 74 63 6c 43 6f 6e 66 69 67 2e 73 68 22 20 5d 3b  tclConfig.sh" ];
0370: 20 74 68 65 6e 0a 20 20 20 20 20 20 20 20 73 6f   then.        so
0380: 75 72 63 65 20 22 24 7b 54 43 4c 43 4f 4e 46 49  urce "${TCLCONFI
0390: 47 44 49 52 7d 2f 74 63 6c 43 6f 6e 66 69 67 2e  GDIR}/tclConfig.
03a0: 73 68 22 0a 66 69 0a 65 78 70 6f 72 74 20 54 43  sh".fi.export TC
03b0: 4c 5f 56 45 52 53 49 4f 4e 0a 0a 69 66 20 5b 20  L_VERSION..if [ 
03c0: 21 20 2d 66 20 22 24 7b 53 52 43 7d 22 20 5d 3b  ! -f "${SRC}" ];
03d0: 20 74 68 65 6e 0a 09 6d 6b 64 69 72 20 27 73 72   then..mkdir 'sr
03e0: 63 27 20 3e 2f 64 65 76 2f 6e 75 6c 6c 20 32 3e  c' >/dev/null 2>
03f0: 2f 64 65 76 2f 6e 75 6c 6c 0a 0a 09 69 66 20 5b  /dev/null...if [
0400: 20 21 20 2d 64 20 27 62 75 69 6c 64 73 72 63 27   ! -d 'buildsrc'
0410: 20 5d 3b 20 74 68 65 6e 0a 09 09 72 6d 20 2d 66   ]; then...rm -f
0420: 20 22 24 7b 53 52 43 7d 2e 74 6d 70 22 0a 09 09   "${SRC}.tmp"...
0430: 77 67 65 74 20 2d 4f 20 22 24 7b 53 52 43 7d 2e  wget -O "${SRC}.
0440: 74 6d 70 22 20 22 24 7b 53 52 43 55 52 4c 7d 22  tmp" "${SRCURL}"
0450: 20 7c 7c 20 65 78 69 74 20 31 0a 09 09 6d 76 20   || exit 1...mv 
0460: 22 24 7b 53 52 43 7d 2e 74 6d 70 22 20 22 24 7b  "${SRC}.tmp" "${
0470: 53 52 43 7d 22 0a 09 66 69 0a 66 69 0a 0a 28 0a  SRC}"..fi.fi..(.
0480: 09 63 64 20 27 62 75 69 6c 64 27 20 7c 7c 20 65  .cd 'build' || e
0490: 78 69 74 20 31 0a 0a 09 69 66 20 5b 20 21 20 2d  xit 1...if [ ! -
04a0: 64 20 27 2e 2e 2f 62 75 69 6c 64 73 72 63 27 20  d '../buildsrc' 
04b0: 5d 3b 20 74 68 65 6e 0a 09 09 67 7a 69 70 20 2d  ]; then...gzip -
04c0: 64 63 20 22 2e 2e 2f 24 7b 53 52 43 7d 22 20 7c  dc "../${SRC}" |
04d0: 20 74 61 72 20 2d 78 66 20 2d 0a 09 65 6c 73 65   tar -xf -..else
04e0: 20 20 20 20 0a 09 09 63 70 20 2d 72 70 20 2e 2e      ...cp -rp ..
04f0: 2f 62 75 69 6c 64 73 72 63 2f 2a 20 27 2e 2f 27  /buildsrc/* './'
0500: 0a 09 66 69 0a 0a 09 23 20 41 70 70 6c 79 20 72  ..fi...# Apply r
0510: 65 71 75 69 72 65 64 20 70 61 74 63 68 65 73 0a  equired patches.
0520: 09 63 64 20 22 24 7b 42 55 49 4c 44 44 49 52 7d  .cd "${BUILDDIR}
0530: 22 20 7c 7c 20 65 78 69 74 20 31 0a 0a 09 66 6f  " || exit 1...fo
0540: 72 20 70 61 74 63 68 20 69 6e 20 22 24 7b 50 41  r patch in "${PA
0550: 54 43 48 44 49 52 7d 2f 61 6c 6c 22 2f 74 63 63  TCHDIR}/all"/tcc
0560: 34 74 63 6c 2d 24 7b 54 43 43 34 54 43 4c 56 45  4tcl-${TCC4TCLVE
0570: 52 53 7d 2d 2a 2e 64 69 66 66 20 22 24 7b 50 41  RS}-*.diff "${PA
0580: 54 43 48 44 49 52 7d 2f 24 7b 54 43 4c 5f 56 45  TCHDIR}/${TCL_VE
0590: 52 53 49 4f 4e 7d 22 2f 74 63 63 34 74 63 6c 2d  RSION}"/tcc4tcl-
05a0: 24 7b 54 43 43 34 54 43 4c 56 45 52 53 7d 2d 2a  ${TCC4TCLVERS}-*
05b0: 2e 64 69 66 66 3b 20 64 6f 0a 09 09 69 66 20 5b  .diff; do...if [
05c0: 20 21 20 2d 66 20 22 24 7b 70 61 74 63 68 7d 22   ! -f "${patch}"
05d0: 20 5d 3b 20 74 68 65 6e 0a 09 09 09 63 6f 6e 74   ]; then....cont
05e0: 69 6e 75 65 0a 09 09 66 69 0a 0a 09 09 65 63 68  inue...fi....ech
05f0: 6f 20 22 41 70 70 6c 79 69 6e 67 3a 20 24 7b 70  o "Applying: ${p
0600: 61 74 63 68 7d 22 0a 09 09 24 7b 50 41 54 43 48  atch}"...${PATCH
0610: 3a 2d 70 61 74 63 68 7d 20 2d 70 31 20 3c 20 22  :-patch} -p1 < "
0620: 24 7b 70 61 74 63 68 7d 22 0a 09 64 6f 6e 65 0a  ${patch}"..done.
0630: 0a 09 23 20 54 72 79 20 74 6f 20 62 75 69 6c 64  ..# Try to build
0640: 20 61 73 20 61 20 73 68 61 72 65 64 20 6f 62 6a   as a shared obj
0650: 65 63 74 20 69 66 20 72 65 71 75 65 73 74 65 64  ect if requested
0660: 0a 09 69 66 20 5b 20 22 24 7b 53 54 41 54 49 43  ..if [ "${STATIC
0670: 54 43 43 34 54 43 4c 7d 22 20 3d 20 22 30 22 20  TCC4TCL}" = "0" 
0680: 5d 3b 20 74 68 65 6e 0a 09 09 74 72 79 6f 70 74  ]; then...tryopt
0690: 73 3d 22 2d 2d 65 6e 61 62 6c 65 2d 73 68 61 72  s="--enable-shar
06a0: 65 64 20 2d 2d 64 69 73 61 62 6c 65 2d 73 68 61  ed --disable-sha
06b0: 72 65 64 22 0a 09 65 6c 69 66 20 5b 20 22 24 7b  red"..elif [ "${
06c0: 53 54 41 54 49 43 54 43 43 34 54 43 4c 7d 22 20  STATICTCC4TCL}" 
06d0: 3d 20 22 2d 31 22 20 5d 3b 20 74 68 65 6e 0a 09  = "-1" ]; then..
06e0: 09 23 20 52 65 71 75 69 72 65 20 73 68 61 72 65  .# Require share
06f0: 64 20 6f 62 6a 65 63 74 20 69 66 20 72 65 71 75  d object if requ
0700: 65 73 74 65 64 0a 09 09 74 72 79 6f 70 74 73 3d  ested...tryopts=
0710: 22 2d 2d 65 6e 61 62 6c 65 2d 73 68 61 72 65 64  "--enable-shared
0720: 22 0a 09 65 6c 73 65 0a 09 09 23 20 44 65 66 61  "..else...# Defa
0730: 75 6c 74 20 74 6f 20 62 75 69 6c 64 69 6e 67 20  ult to building 
0740: 73 74 61 74 69 63 61 6c 6c 79 0a 09 09 74 72 79  statically...try
0750: 6f 70 74 73 3d 22 2d 2d 64 69 73 61 62 6c 65 2d  opts="--disable-
0760: 73 68 61 72 65 64 22 0a 09 66 69 0a 0a 09 53 41  shared"..fi...SA
0770: 56 45 5f 43 46 4c 41 47 53 3d 22 24 7b 43 46 4c  VE_CFLAGS="${CFL
0780: 41 47 53 7d 22 0a 09 66 6f 72 20 74 72 79 6f 70  AGS}"..for tryop
0790: 74 20 69 6e 20 24 74 72 79 6f 70 74 73 20 5f 5f  t in $tryopts __
07a0: 66 61 69 6c 5f 5f 3b 20 64 6f 0a 09 09 23 20 43  fail__; do...# C
07b0: 6c 65 61 6e 20 75 70 2c 20 69 66 20 6e 65 65 64  lean up, if need
07c0: 65 64 0a 09 09 6d 61 6b 65 20 64 69 73 74 63 6c  ed...make distcl
07d0: 65 61 6e 20 3e 2f 64 65 76 2f 6e 75 6c 6c 20 32  ean >/dev/null 2
07e0: 3e 2f 64 65 76 2f 6e 75 6c 6c 0a 09 09 72 6d 20  >/dev/null...rm 
07f0: 2d 72 66 20 22 24 7b 49 4e 53 54 44 49 52 7d 22  -rf "${INSTDIR}"
0800: 0a 09 09 6d 6b 64 69 72 20 22 24 7b 49 4e 53 54  ...mkdir "${INST
0810: 44 49 52 7d 22 0a 0a 09 09 69 66 20 5b 20 22 24  DIR}"....if [ "$
0820: 7b 74 72 79 6f 70 74 7d 22 20 3d 20 22 5f 5f 66  {tryopt}" = "__f
0830: 61 69 6c 5f 5f 22 20 5d 3b 20 74 68 65 6e 0a 09  ail__" ]; then..
0840: 09 09 65 78 69 74 20 31 0a 09 09 66 69 0a 0a 09  ..exit 1...fi...
0850: 09 69 66 20 5b 20 22 24 7b 74 72 79 6f 70 74 7d  .if [ "${tryopt}
0860: 22 20 3d 3d 20 22 2d 2d 65 6e 61 62 6c 65 2d 73  " == "--enable-s
0870: 68 61 72 65 64 22 20 5d 3b 20 74 68 65 6e 0a 09  hared" ]; then..
0880: 09 09 69 73 73 68 61 72 65 64 3d 22 31 22 0a 09  ..isshared="1"..
0890: 09 65 6c 73 65 0a 09 09 09 69 73 73 68 61 72 65  .else....isshare
08a0: 64 3d 22 30 22 0a 09 09 66 69 0a 0a 09 09 23 20  d="0"...fi....# 
08b0: 49 66 20 62 75 69 6c 64 20 61 20 73 74 61 74 69  If build a stati
08c0: 63 20 74 63 63 34 74 63 6c 20 66 6f 72 20 4b 69  c tcc4tcl for Ki
08d0: 74 44 4c 4c 2c 20 65 6e 73 75 72 65 20 74 68 61  tDLL, ensure tha
08e0: 74 20 77 65 20 75 73 65 20 50 49 43 0a 09 09 23  t we use PIC...#
08f0: 20 73 6f 20 74 68 61 74 20 69 74 20 63 61 6e 20   so that it can 
0900: 62 65 20 6c 69 6e 6b 65 64 20 69 6e 74 6f 20 74  be linked into t
0910: 68 65 20 73 68 61 72 65 64 20 6f 62 6a 65 63 74  he shared object
0920: 0a 09 09 69 66 20 5b 20 22 24 7b 69 73 73 68 61  ...if [ "${issha
0930: 72 65 64 7d 22 20 3d 20 22 30 22 20 2d 61 20 22  red}" = "0" -a "
0940: 24 7b 4b 49 54 54 41 52 47 45 54 7d 22 20 3d 20  ${KITTARGET}" = 
0950: 22 6b 69 74 64 6c 6c 22 20 5d 3b 20 74 68 65 6e  "kitdll" ]; then
0960: 0a 09 09 09 43 46 4c 41 47 53 3d 22 24 7b 53 41  ....CFLAGS="${SA
0970: 56 45 5f 43 46 4c 41 47 53 7d 20 2d 66 50 49 43  VE_CFLAGS} -fPIC
0980: 22 0a 09 09 65 6c 73 65 0a 09 09 09 43 46 4c 41  "...else....CFLA
0990: 47 53 3d 22 24 7b 53 41 56 45 5f 43 46 4c 41 47  GS="${SAVE_CFLAG
09a0: 53 7d 22 0a 09 09 66 69 0a 0a 09 09 28 0a 09 09  S}"...fi....(...
09b0: 09 65 63 68 6f 20 22 52 75 6e 6e 69 6e 67 3a 20  .echo "Running: 
09c0: 2e 2f 63 6f 6e 66 69 67 75 72 65 20 24 74 72 79  ./configure $try
09d0: 6f 70 74 20 2d 2d 70 72 65 66 69 78 3d 5c 22 24  opt --prefix=\"$
09e0: 7b 49 4e 53 54 44 49 52 7d 5c 22 20 2d 2d 65 78  {INSTDIR}\" --ex
09f0: 65 63 2d 70 72 65 66 69 78 3d 5c 22 24 7b 49 4e  ec-prefix=\"${IN
0a00: 53 54 44 49 52 7d 5c 22 20 2d 2d 6c 69 62 64 69  STDIR}\" --libdi
0a10: 72 3d 5c 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c  r=\"${INSTDIR}/l
0a20: 69 62 5c 22 20 2d 2d 77 69 74 68 2d 74 63 6c 3d  ib\" --with-tcl=
0a30: 5c 22 24 7b 54 43 4c 43 4f 4e 46 49 47 44 49 52  \"${TCLCONFIGDIR
0a40: 7d 5c 22 20 24 7b 43 4f 4e 46 49 47 55 52 45 45  }\" ${CONFIGUREE
0a50: 58 54 52 41 7d 22 0a 09 09 09 2e 2f 63 6f 6e 66  XTRA}"...../conf
0a60: 69 67 75 72 65 20 24 74 72 79 6f 70 74 20 2d 2d  igure $tryopt --
0a70: 70 72 65 66 69 78 3d 22 24 7b 49 4e 53 54 44 49  prefix="${INSTDI
0a80: 52 7d 22 20 2d 2d 65 78 65 63 2d 70 72 65 66 69  R}" --exec-prefi
0a90: 78 3d 22 24 7b 49 4e 53 54 44 49 52 7d 22 20 2d  x="${INSTDIR}" -
0aa0: 2d 6c 69 62 64 69 72 3d 22 24 7b 49 4e 53 54 44  -libdir="${INSTD
0ab0: 49 52 7d 2f 6c 69 62 22 20 2d 2d 77 69 74 68 2d  IR}/lib" --with-
0ac0: 74 63 6c 3d 22 24 7b 54 43 4c 43 4f 4e 46 49 47  tcl="${TCLCONFIG
0ad0: 44 49 52 7d 22 20 24 7b 43 4f 4e 46 49 47 55 52  DIR}" ${CONFIGUR
0ae0: 45 45 58 54 52 41 7d 0a 0a 09 09 09 65 63 68 6f  EEXTRA}.....echo
0af0: 20 22 52 75 6e 6e 69 6e 67 3a 20 24 7b 4d 41 4b   "Running: ${MAK
0b00: 45 3a 2d 6d 61 6b 65 7d 22 0a 09 09 09 24 7b 4d  E:-make}"....${M
0b10: 41 4b 45 3a 2d 6d 61 6b 65 7d 20 7c 7c 20 65 78  AKE:-make} || ex
0b20: 69 74 20 31 0a 0a 09 09 09 65 63 68 6f 20 22 52  it 1.....echo "R
0b30: 75 6e 6e 69 6e 67 3a 20 24 7b 4d 41 4b 45 3a 2d  unning: ${MAKE:-
0b40: 6d 61 6b 65 7d 20 69 6e 73 74 61 6c 6c 22 0a 09  make} install"..
0b50: 09 09 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 20  ..${MAKE:-make} 
0b60: 69 6e 73 74 61 6c 6c 20 7c 7c 20 65 78 69 74 20  install || exit 
0b70: 31 0a 09 09 29 20 7c 7c 20 63 6f 6e 74 69 6e 75  1...) || continu
0b80: 65 0a 0a 09 09 62 72 65 61 6b 0a 09 64 6f 6e 65  e....break..done
0b90: 0a 0a 09 23 20 43 72 65 61 74 65 20 56 46 53 2d  ...# Create VFS-
0ba0: 69 6e 73 65 72 74 0a 09 63 70 20 2d 72 20 22 24  insert..cp -r "$
0bb0: 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 22 20 22  {INSTDIR}/lib" "
0bc0: 24 7b 4f 55 54 44 49 52 7d 22 20 7c 7c 20 65 78  ${OUTDIR}" || ex
0bd0: 69 74 20 31 0a 09 66 69 6e 64 20 22 24 7b 4f 55  it 1..find "${OU
0be0: 54 44 49 52 7d 22 20 2d 6e 61 6d 65 20 27 2a 2e  TDIR}" -name '*.
0bf0: 61 27 20 2d 74 79 70 65 20 66 20 7c 20 67 72 65  a' -type f | gre
0c00: 70 20 2d 76 20 27 2f 6c 69 62 74 63 63 31 5c 2e  p -v '/libtcc1\.
0c10: 61 24 27 20 7c 20 78 61 72 67 73 20 72 6d 20 2d  a$' | xargs rm -
0c20: 66 0a 0a 09 23 20 54 65 6c 6c 20 4b 69 74 73 68  f...# Tell Kitsh
0c30: 20 6e 6f 74 20 74 6f 20 74 72 79 20 74 6f 20 6c   not to try to l
0c40: 69 6e 6b 20 61 67 61 69 6e 73 74 20 22 6c 69 62  ink against "lib
0c50: 74 63 63 31 2e 61 22 0a 09 65 63 68 6f 20 22 2f  tcc1.a"..echo "/
0c60: 6c 69 62 74 63 63 31 5c 2e 61 22 20 3e 20 22 24  libtcc1\.a" > "$
0c70: 7b 49 4e 53 54 44 49 52 7d 2f 6b 69 74 63 72 65  {INSTDIR}/kitcre
0c80: 61 74 6f 72 2d 6e 6f 6c 69 62 73 22 0a 0a 09 65  ator-nolibs"...e
0c90: 78 69 74 20 30 0a 29 20 7c 7c 20 65 78 69 74 20  xit 0.) || exit 
0ca0: 31 0a 0a 65 78 69 74 20 30 0a                    1..exit 0.